<template>
  <div>
    <div class="layout-content-padding">
      <div class="layout-content-main">
        <el-tabs v-model="activeName" @tab-click="_changeTabs">
          <el-tab-pane label="待完成" name="wait">
            <MeterSendEntrust ref="waitTabs"></MeterSendEntrust>
          </el-tab-pane>
          <el-tab-pane label="历史记录" name="his">
            <MeterSendEntrustHis ref="hisTabs"></MeterSendEntrustHis>
          </el-tab-pane>
        </el-tabs>
      </div>
    </div>
  </div>
</template>
<script>
import MeterSendEntrust from './MeterSendEntrust'
import MeterSendEntrustHis from './MeterSendEntrustHis'
export default {
  name: 'MeterSendEntrustIndex',
  components: {
    MeterSendEntrust,
    MeterSendEntrustHis
  },
  data() {
    return {
      activeName: 'wait'
    }
  },
  mounted() {
    this.activeName = 'wait'
    this._page()
  },
  methods: {
    _changeTabs(tab, event) {
      if (tab.name === 'wait') {
        this._page()
      } else {
        this.$refs.hisTabs._page()
      }
    },
    _page() {
      this.$refs.waitTabs._page()
    }
  }
}
</script>

<style scoped>
</style>
